# Interface PrimitiveType

All Superinterfaces:
  `Mirror, Type`

All Known Subinterfaces:
  `BooleanType, ByteType, CharType, DoubleType, FloatType, IntegerType, LongType, ShortType`

public interface PrimitiveType extends Type
The type associated with non-object values in a target VM. Instances of one of the sub-interfaces of this interface will be returned from `Value.type()` for all `PrimitiveValue` objects.

Since:
  1.3
See Also:
  - `PrimitiveValue`

## Method Summary

### Methods declared in interface Mirror

`toString, virtualMachine`

### Methods declared in interface Type

`name, signature`